#! /usr/bin/env python3

"""Entry point."""

import sys
from os import environ, pathsep

import env

if env.SPCD_PYTHON_VENV_PACKAGES not in sys.path:
    sys.path.insert(0, env.SPCD_PYTHON_VENV_PACKAGES)
import spcd

if __name__ == "__main__":
    paths = environ["PATH"].split(pathsep)
    if env.SPCD_PYTHON_VENV_BINARIES not in paths:
        environ["PATH"] = pathsep.join([env.SPCD_PYTHON_VENV_BINARIES, *paths])
    spcd.main(__file__)
